## free42-nologo 1.4.77

=== gtk/Makefile ===
###############################################################################
# Free42 -- an HP-42S calculator simulator
# Copyright (C) 2004-2013  Thomas Okken
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see http://www.gnu.org/licenses/.
###############################################################################

CXXFLAGS := -MMD -Wall -Wno-parentheses -Wno-write-strings -g -I/usr/X11R6/include -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
LDFLAGS = -L/usr/X11R6/lib
LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)

ifeq "$(shell uname -s)" "Linux"
LDFLAGS += -Wl,--hash-style=both
endif

SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
	shell_spool.cc core_main.cc core_commands1.cc core_commands2.cc \
	core_commands3.cc core_commands4.cc core_commands5.cc \
	core_commands6.cc core_commands7.cc core_display.cc core_globals.cc \
	core_helpers.cc core_keydown.cc core_linalg1.cc core_linalg2.cc \
	core_math1.cc core_math2.cc core_phloat.cc core_sto_rcl.cc \
	core_tables.cc core_variables.cc
OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
	shell_spool.o core_main.o core_commands1.o core_commands2.o \
	core_commands3.o core_commands4.o core_commands5.o \
	core_commands6.o core_commands7.o core_display.o core_globals.o \
	core_helpers.o core_keydown.o core_linalg1.o core_linalg2.o \
	core_math1.o core_math2.o core_phloat.o core_sto_rcl.o \
	core_tables.o core_variables.o

ifdef BCD_MATH
CXXFLAGS += -DBCD_MATH
SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
EXE = free42dec
else
EXE = free42bin
endif

ifdef AUDIO_ALSA
# Note: the name of the libasound shared library that is usually compiled into
# the executable is defined in the corresponding *.la file, in the 'dlname'
# property. I suppose it would be better to grab it from there at build time,
# rather than hard-coding it into the Makefile like this, but as long as the
# build environment doesn't change (still Fedora 6 at the time of writing),
# this is fine.
CXXFLAGS += -DAUDIO_ALSA -DALSALIB="\"libasound.so.2\""
SRCS += audio_alsa.cc
OBJS += audio_alsa.o
endif

ifdef OLPC
CXXFLAGS += -DOLPC
endif

$(EXE): $(OBJS)
	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
ifdef OLPC
	tar xvfz Free42.activity.tgz
	cp $(EXE) Free42.activity/bin
	zip -r Free42.xo Free42.activity
	rm -rf Free42.activity
endif

$(SRCS) skin2cc.cc keymap2cc.cc skin2cc.conf: symlinks

.cc.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<

skin2cc: skin2cc.cc
	$(CXX) -o skin2cc skin2cc.cc

skins.cc: skin2cc skin2cc.conf
	./skin2cc

keymap2cc: keymap2cc.cc
	$(CXX) -o keymap2cc keymap2cc.cc

keymap.cc: keymap2cc keymap.txt
	./keymap2cc

symlinks:
	for fn in `cd ../common; /bin/ls`; do ln -s ../common/$$fn; done
	touch symlinks

clean: FORCE
	rm -f `find . -type l` \
		skin2cc skin2cc.exe skins.cc \
		keymap2cc keymap2cc.exe keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*

cleaner: FORCE
	rm -f `find . -type l` \
		free42bin free42bin.exe free42dec free42dec.exe \
		skin2cc skin2cc.exe skins.cc \
		keymap2cc keymap2cc.exe keymap.cc \
		*.o *.d *.i *.ii *.s symlinks core.*

FORCE:

-include $(SRCS:.cc=.d)

=== debian/changelog ===
free42-nologo (1.4.77-1) unstable; urgency=low

  * Initial release (Closes: #606358)

 -- Christian Stalp <chris@chrishell.de>  Wed, 14 Aug 2013 23:31:08 +0200

=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://thomasokken.com/free42/upstream/free42-nologo-(\d+\.\d+\.\d+)\.tgz

## free42-nologo 2.5.25+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2013  Thomas Okken
+# Copyright (C) 2004-2021  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -15,12 +15,41 @@
 # along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
-CXXFLAGS := -MMD -Wall -Wno-parentheses -Wno-write-strings -g -I/usr/X11R6/include -fno-exceptions -fno-rtti $(shell pkg-config --cflags gtk+-2.0) -DVERSION="\"$(shell cat ../VERSION)\""
-LDFLAGS = -L/usr/X11R6/lib
-LIBS := -lXmu $(shell pkg-config --libs gtk+-2.0)
+CFLAGS = -MMD \
+	 -Wall \
+	 -Wno-parentheses \
+	 -Wno-write-strings \
+	 -Wno-sign-compare \
+	 -Wno-narrowing \
+	 -Wno-constant-conversion \
+	 -Wno-sometimes-uninitialized \
+	 -Wno-format-truncation \
+	 -Wno-class-memaccess \
+	 -Wno-unknown-warning-option \
+	 -g \
+	 $(shell pkg-config --cflags gtk+-3.0) \
+	 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGTK_DISABLE_SINGLE_INCLUDES -DGSEAL_ENABLE \
+	 -DVERSION="\"$(shell cat VERSION)\"" \
+	 -DVERSION_PLATFORM="\"$(shell uname -s)\"" \
+	 -DDECIMAL_CALL_BY_REFERENCE=1 \
+	 -DDECIMAL_GLOBAL_ROUNDING=1 \
+	 -DDECIMAL_GLOBAL_ROUNDING_ACCESS_FUNCTIONS=1 \
+	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS=1 \
+	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS_ACCESS_FUNCTIONS=1
 
-ifeq "$(shell uname -s)" "Linux"
-LDFLAGS += -Wl,--hash-style=both
+CXXFLAGS = $(CFLAGS) \
+	 -fno-exceptions \
+	 -fno-rtti \
+	 -D_WCHAR_T_DEFINED
+
+LIBS = gcc111libbid.a $(shell pkg-config --libs gtk+-3.0)
+
+ifdef AUDIO_ALSA
+LIBS += -lpthread -ldl
+endif
+
+ifneq "$(findstring 6162,$(shell echo ab | od -x))" ""
+CFLAGS += -DF42_BIG_ENDIAN -DBID_BIG_ENDIAN
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \
@@ -40,11 +69,15 @@
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
-SRCS += bcdfloat.cc bcd.cc bcdmath.cc bcdfloat2.cc
-OBJS += bcdfloat.o bcd.o bcdmath.o bcdfloat2.o
 EXE = free42dec
 else
 EXE = free42bin
+endif
+
+ifdef FREE42_FPTEST
+CFLAGS += -DFREE42_FPTEST
+SRCS += readtest.c readtest_lines.cc
+OBJS += readtest.o readtest_lines.o
 endif
 
 ifdef AUDIO_ALSA
@@ -52,30 +85,22 @@
 # the executable is defined in the corresponding *.la file, in the 'dlname'
 # property. I suppose it would be better to grab it from there at build time,
 # rather than hard-coding it into the Makefile like this, but as long as the
-# build environment doesn't change (still Fedora 6 at the time of writing),
-# this is fine.
+# build environment doesn't change (currently Ubuntu 12.04), this is fine.
 CXXFLAGS += -DAUDIO_ALSA -DALSALIB="\"libasound.so.2\""
 SRCS += audio_alsa.cc
 OBJS += audio_alsa.o
 endif
 
-ifdef OLPC
-CXXFLAGS += -DOLPC
-endif
-
-$(EXE): $(OBJS)
+$(EXE): $(OBJS) gcc111libbid.a
 	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
-ifdef OLPC
-	tar xvfz Free42.activity.tgz
-	cp $(EXE) Free42.activity/bin
-	zip -r Free42.xo Free42.activity
-	rm -rf Free42.activity
-endif
 
 $(SRCS) skin2cc.cc keymap2cc.cc skin2cc.conf: symlinks
 
 .cc.o:
 	$(CXX) $(CXXFLAGS) -c -o $@ $<
+
+readtest.o: readtest.c
+	$(CC) $(CFLAGS) -I IntelRDFPMathLib20U1/TESTS -D__intptr_t_defined -DLINUX -c -o $@ $<
 
 skin2cc: skin2cc.cc
 	$(CXX) -o skin2cc skin2cc.cc
@@ -89,12 +114,16 @@
 keymap.cc: keymap2cc keymap.txt
 	./keymap2cc
 
+gcc111libbid.a:
+	sh ./build-intel-lib.sh
+	ln -s IntelRDFPMathLib20U1/TESTS/readtest.c
+
 symlinks:
 	for fn in `cd ../common; /bin/ls`; do ln -s ../common/$$fn; done
 	touch symlinks
 
 clean: FORCE
-	rm -f `find . -type l` \
+	rm -f `find . -type l ! -name readtest.c` \
 		skin2cc skin2cc.exe skins.cc \
 		keymap2cc keymap2cc.exe keymap.cc \
 		*.o *.d *.i *.ii *.s symlinks core.*
@@ -104,8 +133,11 @@
 		free42bin free42bin.exe free42dec free42dec.exe \
 		skin2cc skin2cc.exe skins.cc \
 		keymap2cc keymap2cc.exe keymap.cc \
+		readtest_lines.cc \
+		gcc111libbid.a \
 		*.o *.d *.i *.ii *.s symlinks core.*
+	rm -rf IntelRDFPMathLib20U1
 
 FORCE:
 
--include $(SRCS:.cc=.d)
+-include $(OBJS:.o=.d)

=== debian/changelog ===
free42-nologo (2.5.25+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 08 Feb 2021 19:19:16 +0100

free42-nologo (2.5.24+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Jan 2021 12:34:31 +0100

free42-nologo (2.5.22+ds-1) unstable; urgency=medium

  [ Christian Stalp ]
  * New upstream release (Closes: #775601, #911464)
  * debian/patches:
    - delete patch fix-free42-makefile.patch, no longer applicable
    - delete patch hash-style-makefile.patch, no longer applicable
    - update patch gcc6 to new Makefile
    - adding new patch libbidgc to build package with intelrdfpmath

  * debian/control
    - changing Build-Depends libgtk2.0-dev to libgtk-3-dev (Closes: #967351)
    - adding libintelrdfpmath-dev to Build-Depends

  * debian/rules
    - adapting rules file to new icon names (icon.xpm to icon-48x48.xpm)

  [ Stephen Kitt ]
  * Add myself to Uploaders. (Closes: #959420.)
  * Use the secure homepage URL.
  * Switch to debhelper compatibility level 13.
  * Point to the Salsa repository.
  * Set “Rules-Requires-Root: no”.
  * Remove debian/patches/gcc6.patch which is no longer necessary.
  * Standards-Version 4.5.1, no further change required.
  * Enable support for ALSA audio. (Closes: #775598.)
  * Install the decimal variant. (Closes: #775599.)
  * Ensure build flags are applied.
  * Install desktop files instead of a menu entry.
  * Drop obsolete X11 build dependencies.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Dec 2020 14:31:19 +0100

free42-nologo (1.4.77-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use -std=gnu++98 to fix the build with gcc 6. (Closes: #811760)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:12:15 +0200

free42-nologo (1.4.77-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS on mips/mipsel due to --hash-style=both"
    Patch by Aurelien Jarno.
    Closes: #733280

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 May 2014 09:58:46 +0100

=== debian/control ===
Source: free42-nologo
Section: science
Priority: optional
Maintainer: Christian Stalp <chris@chrishell.de>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
Standards-Version: 4.5.1
Homepage: https://thomasokken.com/free42/
Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
Rules-Requires-Root: no

Package: free42-nologo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# libasound2 is dlopened, and not required
Recommends: libasound2
Description: Free42 is a re-implementation of the HP-42S calculator
 It is a complete rewrite, not using any HP code, and it does not
 require an HP-42S ROM image. Loading and saving programs is possible.
 FPU is required.

## free42-nologo 3.0.10+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2021  Thomas Okken
+# Copyright (C) 2004-2022  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,

=== debian/changelog ===
free42-nologo (3.0.10+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Feb 2022 12:37:31 +0100

free42-nologo (3.0.9+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Jan 2022 14:16:29 +0100

free42-nologo (3.0.7+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Nov 2021 14:35:46 +0100

free42-nologo (3.0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 17:55:29 +0200

free42-nologo (3.0.5+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 14 Jul 2021 23:05:16 +0200

free42-nologo (3.0.4+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Jun 2021 19:20:53 +0200

free42-nologo (3.0.3+ds-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 May 2021 15:43:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -Dgtk -- AUDIO_ALSA=1
	dh_auto_build -Dgtk -- clean
	dh_auto_build -Dgtk -- AUDIO_ALSA=1 BCD_MATH=1
	cp gtk/icon-128x128.xpm gtk/free42.xpm

override_dh_auto_clean:
	$(MAKE) -C gtk clean

## free42-nologo 3.0.14+ds

=== debian/changelog ===
free42-nologo (3.0.14+ds-1) unstable; urgency=medium

  * New upstream release, merging the build flags and cross-compilation
    patches.
  * Update the libbidgcc.patch description.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Aug 2022 09:30:30 +0200

free42-nologo (3.0.13+ds-1) unstable; urgency=medium

  * New upstream release.
  * Mark patches forwarded upstream.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 17 Jun 2022 14:24:57 +0200

free42-nologo (3.0.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Rework our patches so that the relevant ones can be submitted
    upstream.
  * Use CXX_FOR_BUILD instead of HOST_CXX.

 -- Stephen Kitt <skitt@debian.org>  Sat, 07 May 2022 13:47:11 +0200

free42-nologo (3.0.10+ds-3) unstable; urgency=medium

  * Use the host compiler to build tools needed during the build itself.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Apr 2022 13:47:18 +0200

free42-nologo (3.0.10+ds-2) unstable; urgency=medium

  * Allow pkg-config to be overridden, so that the package can be cross-
    built.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Apr 2022 14:34:21 +0200

## free42-nologo 3.0.17%2Bds

=== debian/changelog ===
free42-nologo (3.0.17+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Dec 2022 17:54:57 +0100

free42-nologo (3.0.16+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 04 Nov 2022 21:03:26 +0100

free42-nologo (3.0.15+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 06 Oct 2022 11:58:30 +0200

## free42-nologo 3.0.17+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -15,7 +15,10 @@
 # along with this program; if not, see http://www.gnu.org/licenses/.
 ###############################################################################
 
-CFLAGS = -MMD \
+PKG_CONFIG ?= pkg-config
+CXX_FOR_BUILD ?= $(CXX)
+
+CFLAGS += -MMD \
 	 -Wall \
 	 -Wno-parentheses \
 	 -Wno-write-strings \
@@ -27,7 +30,7 @@
 	 -Wno-class-memaccess \
 	 -Wno-unknown-warning-option \
 	 -g \
-	 $(shell pkg-config --cflags gtk+-3.0) \
+	 $(shell $(PKG_CONFIG) --cflags gtk+-3.0) \
 	 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGTK_DISABLE_SINGLE_INCLUDES -DGSEAL_ENABLE \
 	 -DVERSION="\"$(shell cat VERSION)\"" \
 	 -DVERSION_PLATFORM="\"$(shell uname -s)\"" \
@@ -42,7 +45,7 @@
 	 -fno-rtti \
 	 -D_WCHAR_T_DEFINED
 
-LIBS = gcc111libbid.a $(shell pkg-config --libs gtk+-3.0)
+LIBS = gcc111libbid.a $(shell $(PKG_CONFIG) --libs gtk+-3.0)
 
 ifdef AUDIO_ALSA
 LIBS += -lpthread -ldl
@@ -97,19 +100,19 @@
 $(SRCS) skin2cc.cc keymap2cc.cc skin2cc.conf: symlinks
 
 .cc.o:
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<
 
 readtest.o: readtest.c
 	$(CC) $(CFLAGS) -I IntelRDFPMathLib20U1/TESTS -D__intptr_t_defined -DLINUX -c -o $@ $<
 
 skin2cc: skin2cc.cc
-	$(CXX) -o skin2cc skin2cc.cc
+	$(CXX_FOR_BUILD) -o skin2cc skin2cc.cc
 
 skins.cc: skin2cc skin2cc.conf
 	./skin2cc
 
 keymap2cc: keymap2cc.cc
-	$(CXX) -o keymap2cc keymap2cc.cc
+	$(CXX_FOR_BUILD) -o keymap2cc keymap2cc.cc
 
 keymap.cc: keymap2cc keymap.txt
 	./keymap2cc

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git

## free42-nologo 3.0.20+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2022  Thomas Okken
+# Copyright (C) 2004-2023  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -53,6 +53,14 @@
 
 ifneq "$(findstring 6162,$(shell echo ab | od -x))" ""
 CFLAGS += -DF42_BIG_ENDIAN -DBID_BIG_ENDIAN
+endif
+
+ifeq "$(shell uname -m)" "arm64"
+CFLAGS += -fsigned-char -DBID_SIZE_LONG=8
+else ifeq "$(shell uname -m)" "aarch64"
+CFLAGS += -fsigned-char -DBID_SIZE_LONG=8
+else ifeq "$(shell uname -m | sed 's/^\(...\).*$/\1/')" "arm"
+CFLAGS += -fsigned-char -DBID_SIZE_LONG=4
 endif
 
 SRCS = shell_main.cc shell_skin.cc skins.cc keymap.cc shell_loadimage.cc \

=== debian/changelog ===
free42-nologo (3.0.20+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jun 2023 06:34:30 +0200

## free42-nologo 3.1.4+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2023  Thomas Okken
+# Copyright (C) 2004-2024  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,
@@ -59,7 +59,7 @@
 CFLAGS += -fsigned-char -DBID_SIZE_LONG=8
 else ifeq "$(shell uname -m)" "aarch64"
 CFLAGS += -fsigned-char -DBID_SIZE_LONG=8
-else ifeq "$(shell uname -m | sed 's/^\(...\).*$/\1/')" "arm"
+else ifeq "$(shell uname -m | sed 's/^\(...\).*$$/\1/')" "arm"
 CFLAGS += -fsigned-char -DBID_SIZE_LONG=4
 endif
 
@@ -70,13 +70,14 @@
 	core_helpers.cc core_keydown.cc core_linalg1.cc core_linalg2.cc \
 	core_math1.cc core_math2.cc core_phloat.cc core_sto_rcl.cc \
 	core_tables.cc core_variables.cc
-OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
-	shell_spool.o core_main.o core_commands1.o core_commands2.o \
+CORE_OBJS = shell_spool.o core_main.o core_commands1.o core_commands2.o \
 	core_commands3.o core_commands4.o core_commands5.o \
 	core_commands6.o core_commands7.o core_display.o core_globals.o \
 	core_helpers.o core_keydown.o core_linalg1.o core_linalg2.o \
 	core_math1.o core_math2.o core_phloat.o core_sto_rcl.o \
 	core_tables.o core_variables.o
+OBJS = shell_main.o shell_skin.o skins.o keymap.o shell_loadimage.o \
+	$(CORE_OBJS)
 
 ifdef BCD_MATH
 CXXFLAGS += -DBCD_MATH
@@ -104,6 +105,12 @@
 
 $(EXE): $(OBJS) gcc111libbid.a
 	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
+
+txt2raw: symlinks txt2raw.o $(CORE_OBJS) gcc111libbid.a
+	$(CXX) -o txt2raw $(LDFLAGS) txt2raw.o $(CORE_OBJS) $(LIBS)
+
+raw2txt: symlinks raw2txt.o $(CORE_OBJS) gcc111libbid.a
+	$(CXX) -o raw2txt $(LDFLAGS) raw2txt.o $(CORE_OBJS) $(LIBS)
 
 $(SRCS) skin2cc.cc keymap2cc.cc skin2cc.conf: symlinks
 
@@ -137,7 +144,8 @@
 	rm -f `find . -type l ! -name readtest.c` \
 		skin2cc skin2cc.exe skins.cc \
 		keymap2cc keymap2cc.exe keymap.cc \
-		*.o *.d *.i *.ii *.s symlinks core.*
+		*.o *.d *.i *.ii *.s symlinks core.* \
+		raw2txt txt2raw
 
 cleaner: FORCE
 	rm -f `find . -type l` \
@@ -146,7 +154,8 @@
 		keymap2cc keymap2cc.exe keymap.cc \
 		readtest_lines.cc \
 		gcc111libbid.a \
-		*.o *.d *.i *.ii *.s symlinks core.*
+		*.o *.d *.i *.ii *.s symlinks core.* \
+		raw2txt txt2raw
 	rm -rf IntelRDFPMathLib20U1
 
 FORCE:

=== debian/changelog ===
free42-nologo (3.1.4+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:19:22 +0000

free42-nologo (3.1.4+ds-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:22:10 +0000

free42-nologo (3.1.4+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Feb 2024 14:42:59 +0100

free42-nologo (3.1.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Use “make cleaner” to clean all generated files.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Jan 2024 17:45:32 +0100

free42-nologo (3.1.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Dec 2023 12:55:22 +0100

free42-nologo (3.0.21+ds-1) unstable; urgency=medium

  * New upstream release.
  * Adjust the application id to match the .desktop file; this allows the
    desktop environment to find the correct application name and icon.
    Thanks to Sébastien Villemot for the patch. Closes: #1019754.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Aug 2023 15:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: free42-nologo
 Section: science
 Priority: optional
-Maintainer: Christian Stalp <chris@chrishell.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git

## free42-nologo 3.1.8+ds

=== debian/changelog ===
free42-nologo (3.1.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Recommend libasound2t64 instead of libasound2.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 May 2024 19:47:32 +0200

free42-nologo (3.1.7+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Apr 2024 21:13:17 +0200

free42-nologo (3.1.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Mar 2024 07:56:19 +0100

free42-nologo (3.1.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Mar 2024 07:58:19 +0100

## free42-nologo 3.1.12+ds

=== debian/changelog ===
free42-nologo (3.1.12+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Dec 2024 18:51:49 +0100

free42-nologo (3.1.10+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Nov 2024 18:27:48 +0100

## free42-nologo 3.2.1+ds

=== debian/changelog ===
free42-nologo (3.2.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Feb 2025 13:07:14 +0100

## free42-nologo 3.2.2+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2024  Thomas Okken
+# Copyright (C) 2004-2025  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,

=== debian/changelog ===
free42-nologo (3.2.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Feb 2025 21:57:36 +0100

=== debian/control ===
Source: free42-nologo
Section: science
Priority: optional
Maintainer: Christian Stalp <chris@chrishell.de>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
Standards-Version: 4.7.0
Homepage: https://thomasokken.com/free42/
Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
Rules-Requires-Root: no

Package: free42-nologo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
# libasound.so.2 is dlopened, and not required
Recommends: libasound2t64
Description: Free42 is a re-implementation of the HP-42S calculator
 It is a complete rewrite, not using any HP code, and it does not
 require an HP-42S ROM image. Loading and saving programs is possible.
 FPU is required.

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	cp gtk/icon-128x128.xpm gtk/free42.xpm
 
 override_dh_auto_clean:
-	$(MAKE) -C gtk clean
+	$(MAKE) -C gtk cleaner

## free42-nologo 3.2.3+ds

=== debian/changelog ===
free42-nologo (3.2.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Mar 2025 21:26:55 +0100

## free42-nologo 3.2.6+ds

=== debian/changelog ===
free42-nologo (3.2.6+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Mar 2025 21:26:57 +0100

free42-nologo (3.2.5+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2025 17:05:52 +0100

## free42-nologo 3.2.7+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	 -Wno-format-truncation \
 	 -Wno-class-memaccess \
 	 -Wno-unknown-warning-option \
+	 -Wno-unknown-pragmas \
 	 -g \
 	 $(shell $(PKG_CONFIG) --cflags gtk+-3.0) \
 	 -DGDK_DISABLE_DEPRECATION_WARNINGS -DGTK_DISABLE_SINGLE_INCLUDES -DGSEAL_ENABLE \

=== debian/changelog ===
free42-nologo (3.2.7+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 24 Mar 2025 16:12:53 +0100

## free42-nologo 3.2.8%2Bds

=== debian/changelog ===
free42-nologo (3.2.8+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Apr 2025 23:14:59 +0200

## free42-nologo 3.2.8+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -21,13 +21,8 @@
 CFLAGS += -MMD \
 	 -Wall \
 	 -Wno-parentheses \
-	 -Wno-write-strings \
 	 -Wno-sign-compare \
-	 -Wno-narrowing \
-	 -Wno-constant-conversion \
-	 -Wno-sometimes-uninitialized \
 	 -Wno-format-truncation \
-	 -Wno-class-memaccess \
 	 -Wno-unknown-warning-option \
 	 -Wno-unknown-pragmas \
 	 -g \

## free42-nologo 3.3.8%2Bds

=== gtk/Makefile ===
--- 
+++ 
@@ -34,7 +34,8 @@
 	 -DDECIMAL_GLOBAL_ROUNDING=1 \
 	 -DDECIMAL_GLOBAL_ROUNDING_ACCESS_FUNCTIONS=1 \
 	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS=1 \
-	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS_ACCESS_FUNCTIONS=1
+	 -DDECIMAL_GLOBAL_EXCEPTION_FLAGS_ACCESS_FUNCTIONS=1 \
+	 -DHAVE_SINCOS=1
 
 CXXFLAGS = $(CFLAGS) \
 	 -fno-exceptions \
@@ -93,7 +94,7 @@
 # the executable is defined in the corresponding *.la file, in the 'dlname'
 # property. I suppose it would be better to grab it from there at build time,
 # rather than hard-coding it into the Makefile like this, but as long as the
-# build environment doesn't change (currently Ubuntu 12.04), this is fine.
+# build environment doesn't change (currently Ubuntu 16.04), this is fine.
 CXXFLAGS += -DAUDIO_ALSA -DALSALIB="\"libasound.so.2\""
 SRCS += audio_alsa.cc
 OBJS += audio_alsa.o

## free42-nologo 3.3.8+ds

=== debian/changelog ===
free42-nologo (3.3.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * Remove the old FSF address from debian/copyright.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Aug 2025 08:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git

## free42-nologo 3.3.10+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -100,8 +100,8 @@
 OBJS += audio_alsa.o
 endif
 
-$(EXE): $(OBJS) gcc111libbid.a
-	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) $(LIBS)
+$(EXE): $(OBJS) icons.o gcc111libbid.a
+	$(CXX) -o $(EXE) $(LDFLAGS) $(OBJS) icons.o $(LIBS)
 
 txt2raw: symlinks txt2raw.o $(CORE_OBJS) gcc111libbid.a
 	$(CXX) -o txt2raw $(LDFLAGS) txt2raw.o $(CORE_OBJS) $(LIBS)
@@ -113,6 +113,11 @@
 
 .cc.o:
 	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<
+
+icons.o: icons.gresource.xml
+	glib-compile-resources --generate-source $<
+	$(CC) $(CFLAGS) -c -o $@ icons.c
+	rm icons.c
 
 readtest.o: readtest.c
 	$(CC) $(CFLAGS) -I IntelRDFPMathLib20U1/TESTS -D__intptr_t_defined -DLINUX -c -o $@ $<

=== debian/changelog ===
free42-nologo (3.3.10+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Fri, 31 Oct 2025 09:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper-compat (= 13), libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
+Build-Depends: debhelper-compat (= 13), libgio-2.0-dev-bin, libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
 Standards-Version: 4.7.2
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git
-Rules-Requires-Root: no
 
 Package: free42-nologo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	dh_auto_build -Dgtk -- AUDIO_ALSA=1
 	dh_auto_build -Dgtk -- clean
 	dh_auto_build -Dgtk -- AUDIO_ALSA=1 BCD_MATH=1
-	cp gtk/icon-128x128.xpm gtk/free42.xpm
+	cp gtk/icon-128x128.png gtk/free42.png
 
 override_dh_auto_clean:
 	$(MAKE) -C gtk cleaner

=== debian/watch ===
version=4

opts="dversionmangle=auto,repacksuffix=+ds" \
https://thomasokken.com/free42/upstream/free42-nologo-(\d+\.\d+\.\d+)\.tgz \
debian uupdate

## free42-nologo 3.3.11+ds

=== gtk/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ###############################################################################
 # Free42 -- an HP-42S calculator simulator
-# Copyright (C) 2004-2025  Thomas Okken
+# Copyright (C) 2004-2026  Thomas Okken
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2,

=== debian/changelog ===
free42-nologo (3.3.11+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Sat, 17 Jan 2026 09:54:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: free42-nologo
 Section: science
-Priority: optional
 Maintainer: Christian Stalp <chris@chrishell.de>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13), libgio-2.0-dev-bin, libgtk-3-dev, libintelrdfpmath-dev, libasound2-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://thomasokken.com/free42/
 Vcs-Browser: https://salsa.debian.org/debian/free42-nologo
 Vcs-Git: https://salsa.debian.org/debian/free42-nologo.git

=== debian/watch ===
Version: 5

Source: https://thomasokken.com/free42/upstream/
Matching-Pattern: free42-nologo-(\d+\.\d+\.\d+)\.tgz
Dversionmangle: auto
Repacksuffix: +ds
